Bug 866154 - Review Request: rtaudio - a realtime audio I/O library (re-review orphaned package)
Review Request: rtaudio - a realtime audio I/O library (re-review orphaned pa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio 866156
  Show dependency treegraph
 
Reported: 2012-10-14 07:38 EDT by Brendan Jones
Modified: 2013-01-31 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-31 08:09:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-14 07:38:57 EDT
This package was orphaned. Upstream is now active - this package is a requirment for another package I'm introducing into Fedora.

SRPM: http://bsjones.fedorapeople.org/rtaudio-4.0.11-1.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/rtaudio.spec

rtaudio.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio.src: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio.src: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio.src: W: spelling-error %description -l en_US de -> DE, ed, d
rtaudio.src: W: invalid-url Source0: rtaudio-4.0.11-fe.tar.gz
rtaudio-devel.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio-devel.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio-devel.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio-devel.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
rtaudio.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
3 packages and 0 specfiles checked; 0 errors, 13 warnings.
Comment 1 Peter Lemenkov 2012-10-28 12:09:23 EDT
I'll review it
Comment 3 Brendan Jones 2012-10-28 12:34:06 EDT
Thanks for taking this on - Apologies for the missing BR


SRPM: http://bsjones.fedorapeople.org/rtaudio-4.0.11-2.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/rtaudio.spec
Comment 4 Peter Lemenkov 2012-10-28 13:03:34 EDT
Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4633677

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent but all its messages are false positives:

Auriga ~/Desktop: rpmlint rtaudio-*
rtaudio.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio.src: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio.src: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio.src: W: spelling-error %description -l en_US de -> DE, ed, d
rtaudio.src: W: invalid-url Source0: rtaudio-4.0.11-fe.tar.gz
rtaudio.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
rtaudio-devel.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
rtaudio-devel.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
rtaudio-devel.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
rtaudio-devel.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
4 packages and 0 specfiles checked; 0 errors, 13 warnings.
Auriga ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
0 No licensing info provided in tarball.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.

I don't see any other issues so this package is


APPROVED.


ps If you have a spare time then could you please review this in return? 
* https://bugzilla.redhat.com/869301
Comment 5 Brendan Jones 2012-10-28 14:57:54 EDT
Thanks for the review Peter! I noticed you have other review pending also, as do I. Let me know in an email if you want to discuss some trades. I can offer reasonably quick turnarounds - we are under some pressure to get these packages into stable pre final audio spin compose.
Comment 6 Brendan Jones 2012-10-28 15:06:00 EDT
New Package SCM Request
=======================
Package Name: rtaudio
Short Description: realtime audio I/O library
Owners: bsjones nando
Branches:f16 f17 f18
InitialCC:
Comment 7 Jon Ciesla 2012-10-29 09:46:05 EDT
Unretired devel, please take, and then submit Package Change request for new
branches.
Comment 8 Brendan Jones 2012-11-06 01:40:14 EST
Package Change Request
======================
Package Name: rtaudio
New Branches: f16 f17 f18
Owners: bsjones nando
InitialCC:
Comment 9 Jon Ciesla 2012-11-06 07:37:36 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.